#include<bits/stdc++.h>
using namespace std;
const int N=1e6+3;
int T;
int n,m,k;
int a[N];
struct node{
	int top;
	int val[N];
}sta[303];
struct Node{
	int id;
	int s1,s2;
}ans[N];
//inline void dfs
signed main(){
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	scanf("%d",&T);
	int gw=T%10;
	while(T--){
		scanf("%d%d%d",&n,&m,&k);
		for(int i=1;i<=m;++i){
			scanf("%d",&a[i]);
		}
		
//		sta[1].top++;
//		sta[1].val[top]=a[1];
//		
	}
	
	return 0;
}